--- asterisk-13.11.2\apps\app_speech_utils.c.org	2018-03-21 19:08:57.000000000 -0700
+++ asterisk-13.11.2\apps\app_speech_utils.c	2018-03-21 19:02:25.000000000 -0700
@@ -38,12 +38,13 @@
 #include "asterisk/channel.h"
 #include "asterisk/pbx.h"
 #include "asterisk/module.h"
 #include "asterisk/lock.h"
 #include "asterisk/app.h"
 #include "asterisk/speech.h"
+#include "asterisk/format_cache.h"
 
 /*** DOCUMENTATION
 	<application name="SpeechCreate" language="en_US">
 		<synopsis>
 			Create a Speech Structure.
 		</synopsis>
@@ -543,15 +544,22 @@
 
 /*! \brief SpeechCreate() Dialplan Application */
 static int speech_create(struct ast_channel *chan, const char *data)
 {
 	struct ast_speech *speech = NULL;
 	struct ast_datastore *datastore = NULL;
+	struct ast_format_cap *cap;
 
+	if (!(cap = ast_format_cap_alloc(AST_FORMAT_CAP_FLAG_DEFAULT))) {
+		pbx_builtin_setvar_helper(chan, "ERROR", "1");
+		return 0;
+	}
+	ast_format_cap_append(cap, ast_format_slin, 0);
+
 	/* Request a speech object */
-	speech = ast_speech_new(data, ast_channel_nativeformats(chan));
+	speech = ast_speech_new(data, cap);
 	if (speech == NULL) {
 		/* Not available */
 		pbx_builtin_setvar_helper(chan, "ERROR", "1");
 		return 0;
 	}
 
